### Property

# Clutter Text:single-line-mode

#### Declaration

    property single-line-mode: gboolean [ read, write ]

#### Description [src]

Whether the `ClutterText` actor should be in single line mode or not. A single line `ClutterText` actor will only contain a single line of text, scrolling it in case its length is bigger than the allocated size.

Setting this property will also set the `ClutterText:activatable` property as a side-effect.

The `ClutterText:single-line-mode` property is used only if the `ClutterText:editable` property is set to `TRUE`.

Type:`gboolean`

Default value | FALSE
Getter method | `clutter_text_get_single_line_mode()`
Setter method | `clutter_text_set_single_line_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no